#pragma once

#include "CoreMinimal.h"
#include "Templates/SubclassOf.h"
#include "DBDSRComponentData.generated.h"

class UDBDSRComponent;

USTRUCT(BlueprintType)
struct FDBDSRComponentData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName Id;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSubclassOf<UDBDSRComponent> Class;

public:
	DEADBYDAYLIGHT_API FDBDSRComponentData();
};

FORCEINLINE uint32 GetTypeHash(const FDBDSRComponentData) { return 0; }
